/*-
 * ~~~~~~licensing~~~~~~
 * cluster-node-management
 * ==========
 * Copyright (C) 2020 - 2022 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.cluster.node.impl;

import javax.management.NotCompliantMBeanException;

import com.hazelcast.core.Member;

import ru.entaxy.esb.platform.base.management.core.api.AnnotatedMBean;
import ru.entaxy.esb.platform.core.management.node.ClusterNodeMBean;

public class ClusterNodeMBeanImpl extends AnnotatedMBean<ClusterNodeMBean> implements ClusterNodeMBean {

	protected MemberAwareDataProvider dataProvider;
	
	protected ClusterNodeMBeanImpl(Member member) throws NotCompliantMBeanException {
		super(ClusterNodeMBean.class);
		this.dataProvider = new MemberAwareDataProvider(member);
	}

	@Override
	public String getEntaxyPlatformVersion() {
		return dataProvider.getEntaxyPlatformVersion();
	}

	@Override
	public String getHttpPort() {
		return dataProvider.getHttpPort();
	}

	@Override
	public String getSshPort() {
		return dataProvider.getSshPort();
	}

	@Override
	public boolean isUIEnabled() {
		return dataProvider.isUIEnabled();
	}

	@Override
	public boolean isClusterEnabled() {
		return dataProvider.isClusterEnabled();
	}

	@Override
	public String getClusterIP() {
		return dataProvider.getClusterIP();
	}

	@Override
	public String getClusterPort() {
		return dataProvider.getClusterPort();
	}

	
	
}
